using System;

internal sealed class Delegate160 : MulticastDelegate
{
	public extern DateTime Invoke(object object_0);

	public static DateTime smethod_0(object object_0, Delegate160 delegate160_1)
	{
		return delegate160_1(object_0);
	}

	public extern Delegate160(object object_0, IntPtr intptr_0);

	static Delegate160()
	{
		Class10.smethod_13(typeof(Delegate160).TypeHandle);
	}

	internal static Delegate160 delegate160_0;
}
